Soporte » Multisitio » Mensaje de error: Las respuesta no es una respuesta JSON válida

  • Hola, desde que he actualizado a 5.3 mi multisite, al ir a publicar o guardar el borrador de un post (o al hacer vista previa), obtengo el siguiente error:
    «Ha fallado la actualización. Mensaje de error: Las respuesta no es una respuesta JSON válida.» y naturalmente no se guarda.
    ¿Alguna idea?

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 15 respuestas - 1 de 15 (de 16 total)
  • Hola @pablo-moratinos

    Ya le ha pasado a varios, por ejemplo:

    Me aparece este mensaje: JSON no válida

    Lo raro es que tu tema está actualizado de ayer, debería estar corregido.

    Moderador Jose Conti

    (@jconti)

    Hola,

    ¿Utilizas plugins que añadan bloques?

    La versión 5.3, tiene actualización de Gutenberg, y hay cambios. Si utilizas plugins que añadan bloques, puede que alguno te la esté jugando.

    He estado investigando, y he encontrado a mucha gente que tiene problemas de este tipo. Algunos por añadir <script> en algún bloque, otros por añadir código HTML, otros por algún Plugin, incluso alguno ha sido por reglas de seguridad a nivel del servidor. Pero el caso es que hay muchos.

    Esta nueva versión, ha dado muchos problemas en este sentido. Pero yo no lo he sufrido s nivel de un WordPress sencillo, y no he actualizado ningún Multisite a 5.3

    Hola @jconti

    Yo tengo un multisite de prueba muy sencillo con storefront y no he tenido problema con la actualización, sin embargo en un tema comercial si tuve unos cuantos que solucionó su desarrollador con una actualización, eran problemas con un megamenú y con el css del escritorio.

    Si estás utilizando el plugin de Gutenberg te recomendaría que probases a desactivarlo porque me he encontrado con problemas parecidos en webs dónde uso el plugin después de la actualización a la 5.3.

    Si ves que desactivando el plugin se soluciona el problema puedes volverlo a activar e intentar actualizarlo a la última versión.

    No tenía ni Gutenberg ni ningún plugin de bloques activo. De hecho está bastante limpio todo.
    Lo raro es además que el problema no se reproduce en el sitio principal, solo en el resto.

    Por probar,
    Abre la consola del navegador y comprueba que te dice tanto en los errores como en la pestaña de red (asi se llama en firefox) y es posible que veas de donde viene.

    Nada nuevo:

    Failed to load resource: net::ERR_TIMED_OUT
    /wp-json/wp/v2/posts/41?_locale=user:1
    Moderador Mariano Perez

    (@mpcdigital)

    Buscando por ahí he visto que en otras versiones era por subir imágenes muy grandes que no se podían optimizar y por el caché. Esta versión tiene un optimizador de imágenes incluído así que puede tener que ver con las imágenes.

    Es lo de siempre, deshabilito el dichoso gutenberg con Disable Gutenberg y todo funciona con normalidad

    No, @mpcdigital, en este caso no debe tener que ver con imágenes porque es un borrador sin ninguna.

    @entornoweb no lo he probado pero no me vale como solución, necesito el editor de bloques en este caso.

    De momento he hecho un rollback para ir tirando aunque precisamente una funcionalidad de la 5.3 me venía de perlas.

    Yo funciono con WPBakery que es de lo mejorcito, así me salto los bloques estos de gutenberg que me dan un montón de problemas. Era un intento, suerte!

    Moderador LGrusin

    (@lgrusin)

    Con la versión 5.3 se han modificado algunas cosas una de ellas es lo que se refiere a JSON, no sé si van por ahí los tiros
    https://make.wordpress.org/core/2019/10/15/php-native-json-extension-now-required/

    Según dice el post, si no tuviera activada esa extensión en mi PHP no habría podido instalar la 5.3.

    Este error me pasaba cuando pegaba mi shortcode en block Gutenberg, lo solucione de la siguiente manera.

    <?php ob_start(); ?>
    <!-- HTML de shortcode -->
    <?php $output = ob_get_clean(); ?>
    <?php return $output; ?>

    @zeandesign Que buen dato, a mi me sucede lo mismo, cuando creo el shortcode, y al actualizar la pagina me da ese error; «Ha fallado la actualización. Mensaje de error: Las respuesta no es una respuesta JSON válida».
    Tu me podrías indicar donde pegar el código con el cual solucionaste el problema. Muchas gracias

Viendo 15 respuestas - 1 de 15 (de 16 total)
  • Debes estar registrado para responder a este debate.